#include "velocityparticle.h"
VelocityParticle::VelocityParticle(HSPRITE sprite):Particle(sprite)
{	Particle::Particle(sprite);
	velocity = vec3_t(0,0,0);
	startPosition = position;
	SetThink(&VelocityParticle::velocityThink);	
}

VelocityParticle::VelocityParticle(vec3_t _position,vec3_t _velocity,HSPRITE sprite):Particle(_position,sprite)
{
	Particle::Particle(_position,sprite);
	velocity = _velocity;
	startPosition = _position;
	SetThink(&VelocityParticle::velocityThink);	
}
//-------------------------------------------------------------------------
VelocityParticle::~VelocityParticle()
{	
}
//-------------------------------------------------------------------------
void VelocityParticle::velocityThink(float time)
{
	position = startPosition + velocity * time;
	Particle::defaultThink(time);
}
